For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • POSTCreate a mapping between two schemas
      • DELDelete all history for the authenticated user
      • GETList mapping programs
      • GETGet a mapping program
      • PATCHUpdate a mapping program
      • DELDelete a mapping program
      • POSTAdd mapping rules to a program
      • DELDelete multiple mapping rules
      • GETList mapping rules
      • GETGet a mapping rule
      • PATCHUpdate a mapping rule
      • PATCHUpdate a list of mapping rules
      • DELDelete a mapping rule
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceMapping

Update a list of mapping rules

PATCH
https://api.x.flatfile.com/v1/mapping/:programId/rules
PATCH
/v1/mapping/:programId/rules
$curl -X PATCH https://api.x.flatfile.com/v1/mapping/programId/rules \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "createdAt": "2024-01-15T09:30:00Z",
> "id": "id",
> "name": "name",
> "type": "type",
> "updatedAt": "2024-01-15T09:30:00Z"
> },
> {
> "createdAt": "2024-01-15T09:30:00Z",
> "id": "id",
> "name": "name",
> "type": "type",
> "updatedAt": "2024-01-15T09:30:00Z"
> }
>]'
1{
2 "data": [
3 {
4 "createdAt": "2024-01-15T09:30:00Z",
5 "id": "id",
6 "name": "name",
7 "type": "type",
8 "updatedAt": "2024-01-15T09:30:00Z",
9 "acceptedAt": "2024-01-15T09:30:00Z",
10 "acceptedBy": "acceptedBy",
11 "confidence": 1,
12 "config": {
13 "key": "value"
14 },
15 "createdBy": "createdBy",
16 "deletedAt": "2024-01-15T09:30:00Z",
17 "metadata": {
18 "key": "value"
19 }
20 },
21 {
22 "createdAt": "2024-01-15T09:30:00Z",
23 "id": "id",
24 "name": "name",
25 "type": "type",
26 "updatedAt": "2024-01-15T09:30:00Z",
27 "acceptedAt": "2024-01-15T09:30:00Z",
28 "acceptedBy": "acceptedBy",
29 "confidence": 1,
30 "config": {
31 "key": "value"
32 },
33 "createdBy": "createdBy",
34 "deletedAt": "2024-01-15T09:30:00Z",
35 "metadata": {
36 "key": "value"
37 }
38 }
39 ]
40}
Updates a list of mapping rules in a program
Was this page helpful?
Previous

Delete a mapping rule

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

programIdstringRequired
ID of the program

Headers

X-Disable-Hooks"true"Required

Request

This endpoint expects a list of objects.
createdAtdatetimeRequired
Time the mapping rule was created
idstringRequired
ID of the mapping rule
namestringRequired
Name of the mapping rule
typestringRequired
updatedAtdatetimeRequired
Time the mapping rule was last updated
acceptedAtdatetimeOptional
Time the mapping rule was last updated
acceptedBystringOptional
User ID of the contributor of the mapping rule
confidenceintegerOptional
Confidence of the mapping rule
configanyOptional
createdBystringOptional
User ID of the user who suggested the mapping rule
deletedAtdatetimeOptional
Time the mapping rule was deleted
metadataanyOptional
Metadata of the mapping rule

Response

This endpoint returns an object.
datalist of objects

Errors

400
Bad Request Error
404
Not Found Error